#!/usr/bin/env ruby

require 'include/Solution'

if ARGV.length < 3
	puts "Usage: #{$0} videoId <source xml> <dest xml>"
else
	videoId = ARGV[0]
	src_xml = ARGV[1]
	dst_xml = ARGV[2]

	solution_list = Solution::get_all(src_xml, videoId)
	Solution::remove_all(dst_xml, videoId)
	Solution::add(dst_xml, videoId, solution_list)
end

