function corr = estimate_corr(coordX, coordY)

N = size(coordX, 2);
M = size(coordY, 2);
assert(N == M);

coord = [coordX ; coordY];
corr  = zeros(N,1);

for i = 1:N
	M = corrcoef(coord(:,1), coord(:,i));
	corr(i) = M(1,2);
end

