function [delay_samp, delay_time] = estimate_delay(coordX, coordY)

N = size(coordX, 2);
M = size(coordY, 2);
assert(N == M);

coord = [coordX ; coordY];
delay = zeros(N,1);

for i = 1:N
	delay(i) = finddelay(coord(:,1), coord(:,i));
end

delay_samp = delay;
delay_time = delay * 1/25;

